// JavaScript Document
var Bandera=true;
const Reg_Fol=()=> $('#Panel').load('Registros_Folios.php');
const Rep_Fol=()=> $('#Panel').load('Reporte_Folios.php');
const Portada=()=> $('#Panel').load('Portada.php');
// Funion Global //
const Salida=()=> window.location.href = '../Salir.php';

$(document).on('change','#Estado_D', function() {
	let Estado_D_ = document.getElementById('Estado_D').value;
	
	if (Estado_D_==13){
		document.getElementById('C_Zoo').disabled = true;	
		document.getElementById('C_Zoo').value='';
		document.getElementById('C_Zoo').placeholder='No se requiere de captura';
		Bandera=false
	}else{
		document.getElementById('C_Zoo').placeholder='';
		document.getElementById('C_Zoo').disabled = false;	
		document.getElementById('C_Zoo').value='';
		Bandera=true;
	}
	$('#Mpio_Dest').load('Procesos.php',{Opc:1,Est:Estado_D_});
});

const Alta_Arete=(At)=>{
	let Arete_ = document.getElementById('Arete_Alt').value;
	let Cant_ = document.getElementById('Cantidad_A').value;
	if (Arete_.length ==10 && Cant_.length !=0){
		$('#A_Aretes').load('Procesos.php',{Opc:2,Ganadera:At,Arete:Arete_,Cant:Cant_});	
		document.getElementById('Arete_Alt').value='';
	}else{
		alert("¡¡ Posiblemente existe un Error en el Número del Arete !! ");
	}
}

const Alta_Registro=()=>{
	let C_Zoo_ = document.getElementById('C_Zoo').value;
	let Cantidad_A_ = document.getElementById('Cantidad_A').value;
	let Motivo_ = document.getElementById('Motivo').value;
	let Cat_Merc_ = document.getElementById('Cat_Merc').value;
	if ((Bandera==true) && (C_Zoo_.length <= 7)){
		alert("¡¡ Falta capturar el Campo de Certificado Zoosanitario !!");
	}else{
	let Conf_ = confirm(" !! Se encuentra seguro de Guardar el Folio ¡¡");
	if (Conf_ == true){
	if (C_Zoo_ != '' || Cantidad_A_ != '' || Motivo_ !=''){
		$.ajax({
			url:'Alta_Aretes.php',
			type:"POST",
			data:$("#Actualiza_Fol").serialize(),
			success: function(response)
			{
				if (response==1){
					let Merc_ = document.getElementById('Cat_Merc').value;
					if (Merc_==1 || Merc_==9){
						Validar_Act();
					}else{
						document.getElementById('Show_Salvar').style.display = 'none';	
						document.getElementById('Pan_Up_Guia').style.display = 'block';	
						document.getElementById('Finaliza').style.display = 'block';	
					}
					Bloqueo_form();
				}else{
					$('#Msg').html('<h1>!! Error: Favor de Reportar el error (102)¡¡')
				}
			},
			error:function(error){
				console.log(error);
			}
		})
	}else{
		alert("¡¡ Falta captura de campos importantes !!");
	}	
	}	}
}

$(document).on('change','#Cat_Merc', function() {
	let Merc_ = (this).value;
	let Estado_D_ = document.getElementById('Estado_D').value;
	const NoMerc=[1,2,3,7,8,11,14,15,25]; // Mercancias que presentan etiqueta
	
		if (NoMerc.includes(parseInt(Merc_)) && Estado_D_ != 13){
			document.getElementById('C_Zoo').disabled = false;	
			document.getElementById('C_Zoo').placeholder='';
			Bandera=true;
		}else{
			document.getElementById('C_Zoo').disabled = true;	
			document.getElementById('C_Zoo').value='';
			document.getElementById('C_Zoo').placeholder='No se requiere de captura';
			Bandera=false;
		}
});

$(document).on('change','#List_Motivos', function() {
	let Mtv_ = (this).value;
		if (Mtv_==8){
			document.getElementById('Motivo').style.display = 'block';	
			document.getElementById('Motivo').value='';
		}else{
			document.getElementById('Motivo').style.display = 'none';	
		}
});

const Can_Fol=(Fol)=>{
	let Resp_ = confirm("¿ Esta seguro de Cancelar este Fólio ? ");
	let Obs_ = document.getElementById('Observaciones').value;
	if (Resp_==true){
		$('#Msg').load('Procesos.php', {Opc:3,Folio:Fol,Obs:Obs_});
		Reg_Fol();
	}
}

function Validar_Act(){
	
	document.getElementById('List_Folios').disabled=true;	
	document.getElementById('Pan_Up_Guia').style.display = 'block';	
	document.getElementById('Finaliza').style.display = 'block';	
	
	document.getElementById('Show_CA').style.display = 'block';	
	document.getElementById('Show_Salvar').style.display = 'none';	
	document.getElementById('A_Aretes').style.display = 'block';
}

function Validar_Bl(){
	document.getElementById('Show_CA').style.display = 'none';	
	document.getElementById('Show_Salvar').style.display = 'none';	
	document.getElementById('A_Aretes').style.display = 'none';
}

function Bloqueo_form(){
	$("*","#Actualiza_Fol").prop('disabled',true);
	$("#Arete_Alt").prop('disabled',false);
	$("#Observaciones").prop('disabled',false);
	$("#Btn_AltA").prop('disabled',false);
	$(".Btn_DelA").prop('disabled',false);
	$("#Up_Guia").prop('disabled',false);
	$("#V_Guia").prop('disabled',false);
}

const Del_arete=(Arete_,Folio_)=>{
	$('#A_Aretes').load('Procesos.php',{Opc:4,Arete:Arete_,Folio:Folio_});
}

const Cancelar_Reg=(Folio_)=>{
	let Conf_ = confirm("¿ Esta seguro de Cancelar proceso de folio " + Folio_ + " ?")
	if (Conf_==true){
		$.ajax({
			url:'Procesos.php',
			type:"POST",
			data:{Opc:5,Folio:Folio_},
			success: function(response)
			{	
				if (response==1){
					Reg_Fol();
				}else{
					$('#Msg').html('<h3>!! Error: Favor de Reportar el error (101)</h3>¡¡')
				}
			},
			error:function(error){
				console.log(error);
			}
		})
	}
	
}

const Finaliza=(Folio_)=>{
	let Conf_ = confirm("¿ Esta seguro de dar por Finalizado el proceso del folio ?"+Folio_)
	if (Conf_==true){
		let Merc_ = document.getElementById('Cat_Merc').value;
			if (Merc_==1 || Merc_==9){
				let Cantidad_A_ = document.getElementById('Cantidad_A').value;
				let Can_Aretes_ = document.getElementById('Cont').value;
					if (Cantidad_A_ != Can_Aretes_){
						alert("!! Existe diferencia entre la cantidad de Aretes registradas ¡¡ ");
					}else{
						$('#Msg').load('Procesos.php',{Opc:6,Folio:Folio_});
						Reg_Fol();	
					}
			}else{
				$('#Msg').load('Procesos.php',{Opc:6,Folio:Folio_});
				Reg_Fol();	
	}
	
}}

const Bus_folio=()=>{
	let Folio_ = document.getElementById('List_Folios').value;
	$('#Registro').load('Reporte.php',{Folio:Folio_});
}

function CloseModal() {
  		document.getElementById('SubPantalla').style.display = 'none';
	};	
function showModal() {
		$('#Sub_Panel').load('Updates_F/Subir_Fol.php');
  		document.getElementById('SubPantalla').style.display = 'block';
	};

const Visual=(Id_Reg)=>{
	window.open("Visualiza.php?Fol="+Id_Reg+"&Folio="+Math.random());
}

const Exp_Folios=(Mun)=>{
	let F_inicio_ = document.getElementById('F_inicio').value;
	let F_final_ = document.getElementById('F_final').value;
	window.open("Exporta.php?Mun="+Mun+"&F_Ini="+F_inicio_+"&F_Fin="+F_final_+"&Folio="+Math.random());
}

const Help_Foli=()=> $('#Panel').load('Reportar_Folios.php');

const New_Rep=()=> $('#Pantalla').load('Oficio_Reporte.php');

const Genera_PDF=()=> {
	let Folio_ = document.getElementById('Camp_folio').value;
	let Cliente_ = document.getElementById('Id_Cliente').value;
	$.ajax({
			url:'Procesos.php',
			type:"POST",
			data:{Opc:8,Folio:Folio_,Cliente:Cliente_},
			success: function(response)
			{	
				if (response==1){
					let Soli = document.querySelector('input[name="Solicitud"]:checked').value;
					let Obs_ = document.getElementById('Obs').value;
					if (Soli==3){
						Aretes_ = Lista_Nodo();
					}else{
						Aretes_=null;
					}
					
					__ajax('Procesos.php', {Opc:9,Folio:Folio_,Solicitud:Soli,Obs:Obs_,Aretes:Aretes_,Cliente:Cliente_})
							.done(function(info){
							window.open("Oficio_PDF.php?F="+info+"&Folio="+Math.random()+"&Reg="+Math.random());
							Help_Foli();
					})
					
					//document.getElementById('Rep_Form').submit();
					
				}else{
					$('#Msg').html('<h3>!! Error: El Folio no corresponde o No ha sido Utilizado </h3>¡¡')
				}
			},
			error:function(error){
				console.log(error);
			}
		})
	
}

$(document).on('change','#Solicitud', function() {
	let Opc_ = (this).value;
	$('#Msg').html('');
	if(Opc_=="3"){
		let Folio_ = document.getElementById('Camp_folio').value;
		let Cliente_ = document.getElementById('Id_Cliente').value;
		$('#List_Aretes').load('List_Aretes.php',{Folio:Folio_,Client:Cliente_});
	}else{
		$('#List_Aretes').html('');
	}
});

$(document).on('change','#Arete_Reg', function() {
	let Reg_ = $(this).attr("data-Reg");
	let Valor_ = $(this).attr("data-Val");
	let New_Val_ = $(this).val();
	if (New_Val_.length > 6 && New_Val_.length < 10 ) {
		alert("!! Se encuentra incompleto el número del arete ¡¡"+New_Val_.length)
	}else if (New_Val_.length <= 6){
		$(this).val('');
	}
})

const Lista_Nodo=()=>{
	let elementos = document.querySelectorAll("input[type=text]");
	var datos = [];
	var objeto = {};
	for (let i = 0; i < elementos.length; i++){
		if (document.querySelectorAll("input[type=text]")[i].value!='' ){
			let Folio_ = document.getElementById('Camp_folio').value;
			let New_Val_=document.querySelectorAll("input[type=text]")[i].value;
			let Reg_=document.querySelectorAll("input[type=text]")[i].dataset.reg;
			let Old_Val_=document.querySelectorAll("input[type=text]")[i].dataset.val;
			datos.push({"Folio":Folio_,"Id_Reg":Reg_,"New_Val":New_Val_,"Old_Val":Old_Val_});
			}
	}
	objeto.datos = datos;
	let Aretes_ = JSON.stringify(datos);
	return(Aretes_)
	/*
	__ajax('Oficio_PDF.php', {Camp_folio:8,Solicitud:4,Aretes:Aretes_})
	.done(function(info){
		console.log(info);
	})*/
	//console.log(JSON.stringify(objeto));
	//console.log(objeto);
	
}
function __ajax(url,data){
	var ajax =$.ajax({
		"method":"POST",
		"url":url,
		"data":data
	})
	return ajax;
}

const Cambio_Contra=()=>$('#Panel').load('Perfil.php');

const Cerrar_Pan=()=> window.location.href="https://cefpphidalgo.org/";

const Config=()=> $('#Panel').load('Perfil_Mun.php');

const List_Rep=(Id_C)=>$('#Pantalla').load('Procesos.php',{Opc:12,Id_Reg:Id_C});	

